# FoundationClasses
TKAdvTools
Expr

# Expr Class Reference

This package describes the data structure of any
expression, relation or function used in mathematics.
It also describes the assignment of variables. Standard
mathematical functions are implemented such as
trigonometrics, hyperbolics, and log functions.
.

`#include <Expr.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_Expr_GeneralExpression | CopyShare (const Handle(Expr_GeneralExpression)&exp)
static Standard_EXPORT Standard_Integer | NbOfFreeVariables (const Handle(Expr_GeneralExpression)&exp)
static Standard_EXPORT Standard_Integer | NbOfFreeVariables (const Handle(Expr_GeneralRelation)&exp)
static Standard_EXPORT Standard_Real | Sign (const Standard_Real val)

## Member Function Documentation

static Standard_EXPORT Handle_Expr_GeneralExpression Expr::CopyShare | ( | const Handle(Expr_GeneralExpression)& | exp | ) | `[static]`

static Standard_EXPORT Standard_Integer Expr::NbOfFreeVariables | ( | const Handle(Expr_GeneralRelation)& | exp | ) | `[static]`

static Standard_EXPORT Standard_Integer Expr::NbOfFreeVariables | ( | const Handle(Expr_GeneralExpression)& | exp | ) | `[static]`

void Expr::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Expr::operator new | ( | size_t | size | ) | `[inline]`

void* Expr::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Real Expr::Sign | ( | const Standard_Real | val | ) | `[static]`

The documentation for this class was generated from the following file:

- Expr.hxx